#include <iostream>
#include <bits/stdc++.h>
using namespace std;

double a[200000];
double p[200000];
int main()
{
    //double a[200000];
    //double p[200000];
    double n,s=0,k,maks=0,m;
    cin>>n;
    for(int i=0;i<n;i++)
    {
        cin>>a[i]>>p[i];
    }
    for(int i=0;i<n;i++)
        for(int j=i;j<n;j++)
        {
            if(p[j]<p[i])
            {
                k=p[j];
                p[j]=p[i];
                p[i]=k;
                k=a[j];
                a[j]=a[i];
                a[i]=k;
            }
        }
    for(int i=0;i<n;i++)
    {
        s=0;
        for(int j=i;j<n;j++)
        {
            s=s+(double)a[j]*p[i]/100;
        }
        if(s>maks)
        {
            maks=s;
            m=p[i];
        }
    }
    cout<<maks<<endl;
}